Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type Composite

Extends Control.
RWT Scripting analoge to org.eclipse.swt.widgets.Composite and basis for Custom Widgets.

Fields borrowed from class Widget:
  $el

Method Summary
Method Attributes | Method Name and Description
--- | ---
| append(childElement) Adds a given HTMLElement to the Composite.
| getClientArea() Returns the client Area of the Composite

Methods borrowed from class Control:
  addListener, forceFocus, getBackground, getCursor, getEnabled, getForeground, getToolTipText, getVisible, removeListener, setBackground, setEnabled, setForeground, setToolTipText, setVisible
Methods borrowed from class Widget:
  getData, setData

Event Summary
Event Attributes | Event Name and Description
--- | ---
| Resize Sent when the widget selection changes size

Events borrowed from class Control:
  Dispose, FocusIn, FocusOut, Hide, KeyDown, KeyUp, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseMove, MouseUp, MouseWheel, Paint, Show

Type Detail
<private> Composite(composite)
The constructor is not public.

Parameters:
composite

Since:
  2.0

Method Detail
append(childElement)
Adds a given HTMLElement to the Composite.

Parameters:
{HTMLElement} childElement
  The element to append.

{int[]} getClientArea()
Returns the client Area of the Composite

Returns:
  {int[]} the client area as array [ x, y, width, height ]

Event Detail
Resize
Sent when the widget selection changes size

Parameters:
{Event} event

See:
  SWT.Resize

Copyright (c) EclipseSource and others 2013, 2018. All rights reserved.